rpm 4.19.1.1 The RPM Package Manager

Loading...
Searching...
No Matches
Data Structures | Typedefs | Enumerations | Functions
rpmtd.h File Reference
Querying package headers: » RPM Tag Data Container API.
`#include <rpm/rpmtag.h>`
`#include <rpm/argv.h>`
Include dependency graph for rpmtd.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | rpmtd_s

## Typedefs
typedef rpmFlags | rpmtdFlags
typedef enum rpmtdFormats_e | rpmtdFormats

## Enumerations
enum | rpmtdFlags_e { RPMTD_NONE = 0 , RPMTD_ALLOCED = (1 << 0) , RPMTD_PTR_ALLOCED = (1 << 1) , RPMTD_IMMUTABLE = (1 << 2) , RPMTD_ARGV = (1 << 3) , RPMTD_INVALID = (1 << 4) }
enum | rpmtdFormats_e { RPMTD_FORMAT_STRING = 0 , RPMTD_FORMAT_ARMOR = 1 , RPMTD_FORMAT_BASE64 = 2 , RPMTD_FORMAT_PGPSIG = 3 , RPMTD_FORMAT_DEPFLAGS = 4 , RPMTD_FORMAT_FFLAGS = 5 , RPMTD_FORMAT_PERMS = 6 , RPMTD_FORMAT_TRIGGERTYPE = 7 , RPMTD_FORMAT_XML = 8 , RPMTD_FORMAT_OCTAL = 9 , RPMTD_FORMAT_HEX = 10 , RPMTD_FORMAT_DATE = 11 , RPMTD_FORMAT_DAY = 12 , RPMTD_FORMAT_SHESCAPE = 13 , RPMTD_FORMAT_ARRAYSIZE = 14 , RPMTD_FORMAT_DEPTYPE = 15 , RPMTD_FORMAT_FSTATE = 16 , RPMTD_FORMAT_VFLAGS = 17 , RPMTD_FORMAT_EXPAND = 18 , RPMTD_FORMAT_FSTATUS = 19 , RPMTD_FORMAT_HUMANSI = 20 , RPMTD_FORMAT_HUMANIEC = 21 , RPMTD_FORMAT_TAGNAME = 22 , RPMTD_FORMAT_TAGNUM = 23 }

## Functions
rpmtd | rpmtdNew (void)
rpmtd | rpmtdFree (rpmtd td)
void | rpmtdReset (rpmtd td)
void | rpmtdFreeData (rpmtd td)
rpm_count_t | rpmtdCount (rpmtd td)
rpm_count_t | rpmtdSize (rpmtd td)
rpmTagVal | rpmtdTag (rpmtd td)
rpmTagType | rpmtdType (rpmtd td)
rpmTagClass | rpmtdClass (rpmtd td)
rpmtdFlags | rpmtdGetFlags (rpmtd td)
int | rpmtdGetIndex (rpmtd td)
int | rpmtdSetIndex (rpmtd td, int index)
int | rpmtdInit (rpmtd td)
int | rpmtdNext (rpmtd td)
uint32_t * | rpmtdNextUint32 (rpmtd td)
uint64_t * | rpmtdNextUint64 (rpmtd td)
const char * | rpmtdNextString (rpmtd td)
char * | rpmtdGetChar (rpmtd td)
uint16_t * | rpmtdGetUint16 (rpmtd td)
uint32_t * | rpmtdGetUint32 (rpmtd td)
uint64_t * | rpmtdGetUint64 (rpmtd td)
const char * | rpmtdGetString (rpmtd td)
uint64_t | rpmtdGetNumber (rpmtd td)
char * | rpmtdFormat (rpmtd td, rpmtdFormats fmt, const char *errmsg)
int | rpmtdSetTag (rpmtd td, rpmTagVal tag)
int | rpmtdFromUint8 (rpmtd td, rpmTagVal tag, uint8_t *data, rpm_count_t count)
int | rpmtdFromUint16 (rpmtd td, rpmTagVal tag, uint16_t *data, rpm_count_t count)
int | rpmtdFromUint32 (rpmtd td, rpmTagVal tag, uint32_t *data, rpm_count_t count)
int | rpmtdFromUint64 (rpmtd td, rpmTagVal tag, uint64_t *data, rpm_count_t count)
int | rpmtdFromString (rpmtd td, rpmTagVal tag, const char *data)
int | rpmtdFromStringArray (rpmtd td, rpmTagVal tag, const char **data, rpm_count_t count)
int | rpmtdFromArgv (rpmtd td, rpmTagVal tag, ARGV_t argv)
int | rpmtdFromArgi (rpmtd td, rpmTagVal tag, ARGI_t argi)
rpmtd | rpmtdDup (rpmtd td)
rpmsid * | rpmtdToPool (rpmtd td, rpmstrPool pool)

## Detailed Description

RPM Tag Data Container API

## Typedef Documentation

## ◆ rpmtdFormats

typedef enum rpmtdFormats_e rpmtdFormats

Formats supported by rpmtdFormat().

## Enumeration Type Documentation

## ◆ rpmtdFlags_e

enum rpmtdFlags_e

Flags potentially present in rpmtd struct.

## ◆ rpmtdFormats_e

enum rpmtdFormats_e

Formats supported by rpmtdFormat().